import mongoose from "mongoose";

const { Schema } = mongoose;

const LoginDetailSchema = new Schema(
  {
    macAddress: {
      type: String,
    },

    gUserId: {
      type: String,
    },

    gUserName: {
      type: String,
    },
    gUserGroup: {
      type: String,
    },
    gDtLogin: {
      type: Date,
    },
    gTmLogin: {
      type: Date,
    },
    gUserEmailId: {
      type: String,
    },
    groupName: {
      type: String,
    },
    passExpiryDt: {
      type: String,
    },
    gBranchName: {
      type: String,
    },
    gBranchId: {
      type: String,
    },
    baseCurrencyId: {
      type: String,
    },
    currencyShortName: {
      type: String,
    },
    baseCountryId: {
      type: String,
    },
    isArabic: {
      type: String,
    },
    isSubAgent: {
      type: String,
    },
    isSendSpecific: {
      type: String,
    },
    isRecSpecific: {
      type: String,
    },
    isManualEntry: {
      type: String,
    },
    subUserGroupId: {
      type: String,
    },
    subGroupName: {
      type: String,
    },
    gAgentId: {
      type: String,
    },
    countryName: {
      type: String,
    },
    agentCountryId: {
      type: String,
    },
    agentCityId: {
      type: String,
    },
    agentLocationId: {
      type: String,
    },
    agentCurrencyId: {
      type: String,
    },
    sendingSettlementCurrency: {
      type: String,
    },
    sendingSttlementCcyName: {
      type: String,
    },
    individualTransactionLimit: {
      type: String,
    },
    agentCountryTimeDiff: {
      type: String,
    },
    agentBranchId: {
      type: String,
    },
    transactionYearStartDate: {
      type: Date,
    },
    transactionYearEndDate: {
      type: Date,
    },
    isHeadOffice: {
      type: String,
    },
    treeMainNode: {
      type: String,
    },
    gBranchAddress: {
      type: String,
    },
    gPhone: {
      type: String,
    },
    gFax: {
      type: String,
    },
    gEmail: {
      type: String,
    },
    countComplaint: {
      type: String,
    },
    gInformation: {
      type: String,
    },
    currentLoginId: {
      type: String,
    },
  },
  {
    strict: true,
    timestamps: true,
  }
);

const LoginDetail = mongoose.model("LoginDetail", LoginDetailSchema);

export { LoginDetail };
