// mask-card-number.pipe.ts
import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'maskCardNumber'
})
export class MaskCardNumberPipe implements PipeTransform {
  transform(cardNumber: string): string {
    // This will replace all digits except the last four with asterisks
    return cardNumber.replace(/\d(?=\d{4})/g, '*');
  }
}
